ActiveMQActivationSpec (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ra.ActiveMQActivationSpec class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQActivationSpec

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQActivationSpec

All Implemented Interfaces:
  ActivationSpec, ResourceAdapterAssociation

public class ActiveMQActivationSpec
extends Object
implements ActivationSpec

Version:
  $Revision: 1.5 $ $Date: 2004/07/06 17:55:25 $

Field Summary
`(package private) boolean` | `noLocal`

Constructor Summary
`ActiveMQActivationSpec()`

Method Summary
`String` | `getDestinationName()`
`String` | `getDestinationType()`
`String` | `getDurableSubscriptionName()`
`String` | `getMessageSelector()`
`boolean` | `getNoLocal()`
`ResourceAdapter` | `getResourceAdapter()`
`void` | `setDestinationName(String destinationName)`
`void` | `setDestinationType(String destinationType)`
`void` | `setDurableSubscriptionName(String durableSubscriptionName)`
`void` | `setMessageSelector(String messageSelector)`
`void` | `setNoLocal(boolean noLocal)`
`void` | `setResourceAdapter(ResourceAdapter resourceAdapter)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### noLocal

    boolean noLocal

Constructor Detail

### ActiveMQActivationSpec

    public ActiveMQActivationSpec()

Method Detail

### validate

    public void validate()
                  throws InvalidPropertyException

  Specified by:
    `validate` in interface `ActivationSpec`
  Throws:
    `InvalidPropertyException`
  See Also:
    `ActivationSpec.validate()`

### getResourceAdapter

    public ResourceAdapter getResourceAdapter()

  Specified by:
    `getResourceAdapter` in interface `ResourceAdapterAssociation`
  See Also:
    `ResourceAdapterAssociation.getResourceAdapter()`

### setResourceAdapter

    public void setResourceAdapter(ResourceAdapter resourceAdapter)
                            throws ResourceException

  Specified by:
    `setResourceAdapter` in interface `ResourceAdapterAssociation`
  Throws:
    `ResourceException`
  See Also:
    `ResourceAdapterAssociation.setResourceAdapter(javax.resource.spi.ResourceAdapter)`

### getDestinationName

    public String getDestinationName()

  Returns:
    Returns the destinationName.

### setDestinationName

    public void setDestinationName(String destinationName)

  Parameters:
    `destinationName` - The destinationName to set.

### getDestinationType

    public String getDestinationType()

  Returns:
    Returns the destinationType.

### setDestinationType

    public void setDestinationType(String destinationType)

  Parameters:
    `destinationType` - The destinationType to set.

### getDurableSubscriptionName

    public String getDurableSubscriptionName()

  Returns:
    Returns the durableSubscriptionName.

### setDurableSubscriptionName

    public void setDurableSubscriptionName(String durableSubscriptionName)

  Parameters:
    `durableSubscriptionName` - The durableSubscriptionName to set.

### getMessageSelector

    public String getMessageSelector()

  Returns:
    Returns the messageSelector.

### setMessageSelector

    public void setMessageSelector(String messageSelector)

  Parameters:
    `messageSelector` - The messageSelector to set.

### getNoLocal

    public boolean getNoLocal()

  Returns:
    Returns the noLocal.

### setNoLocal

    public void setNoLocal(boolean noLocal)

  Parameters:
    `noLocal` - The noLocal to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.